#### Beyond Linux® From Scratch (systemd Edition) - Version r13.0-491

### Chapter 13. Programming

- Prev

  Python Modules

- Next

  Ruby-4.0.3

- Up
- Home

# Python Dependencies

## Introduction to Python Dependencies

Python modules listed in Python Modules have dependencies that are not referenced by other packages in BLFS. These dependencies are listed here. They will not get updated on regular basis, unless a more recent version is needed.

### Important

In BLFS, we normally build and install Python 3 modules with pip3. Please take care that the pip3 install commands in the book should be run as `root` unless it's for a Python virtual environment. Running pip3 install as a non-`root` user may seem to work fine, but it will cause the installed module to be inaccessible by other users.

pip3 install will not reinstall an already installed module by default. For using the pip3 install command to upgrade a module (for example, from meson-0.61.3 to meson-0.62.0), insert `--upgrade` into the command line. If it's really necessary to downgrade a module or reinstall the same version for some reason, insert `--force-reinstall` into the command line.

- alabaster-1.0.0

- attrs-25.4.0

- babel-2.18.0

- certifi-2026.1.4

- chardet-5.2.0

- charset-normalizer-3.4.4

- commonmark-0.9.1

- editables-0.5

- hatchling-1.28.0

- hatch-fancy-pypi-readme-25.1.0

- hatch_vcs-0.5.0

- idna-3.11

- imagesize-1.4.1

- iniconfig-2.3.0

- Markdown-3.10.2

- maturin-1.13.1

- meson_python-0.19.0

- msgpack-1.1.2

- pathspec-1.0.4

- pluggy-1.6.0

- pyproject_hooks-1.2.0

- pyproject-metadata-0.11.0

- pytz-2025.2

- roman-numerals-4.1.0

- semantic_version-2.10.0

- setuptools_rust-1.12.0

- setuptools_scm-9.2.2

- smartypants-2.0.2

- snowballstemmer-3.0.1

- sphinxcontrib-applehelp-2.0.0

- sphinxcontrib-devhelp-2.0.0

- sphinxcontrib-htmlhelp-2.1.0

- sphinxcontrib-jquery-4.1

- sphinxcontrib-jsmath-1.0.1

- sphinxcontrib-qthelp-2.0.0

- sphinxcontrib-serializinghtml-2.0.0

- trove-classifiers-2026.1.14.14

- typogrify-2.1.0

- urllib3-2.6.3

- uv_build-0.10.2

- webencodings-0.5.1

## Alabaster-1.0.0

### Introduction to Alabaster Module

The Alabaster package is a theme for the sphinx documentation system. Although developed separately, it is the default theme for sphinx.

### Note

Development versions of BLFS may not build or run some packages properly if LFS or dependencies have been updated since the most recent stable versions of the books.

#### Package Information

- Download (HTTP): https://files.pythonhosted.org/packages/source/a/alabaster/alabaster-1.0.0.tar.gz

- Download MD5 sum: c6c2173e5565fb12f08bef410ea50f72

- Download size: 24 KB

- Estimated disk space required: 160 KB

- Estimated build time: less than 0.1 SBU

### Installation of Alabaster

Build the module:

    pip3 wheel -w dist --no-build-isolation --no-deps --no-cache-dir $PWD

This package does not come with a test suite.

Now, as the `root` user:

    pip3 install --no-index --find-links dist --no-user alabaster

### Command Explanations

`-w dist`: builds the appropriate "wheel" for this module in the directory `dist`.

`--no-build-isolation`: tells pip3 to run the build in the system environment instead of creating a temporary build environment.

`--no-deps`: prevents pip3 from building wheels for the project's dependencies.

`--no-index`: ignores the package index (only looking at --find-links URLs instead).

`--find-links dist`: looks for links to archives such as wheel (.whl) files in the directory `dist`.

`--no-cache-dir`: Disables the cache to prevent a warning when installing as the `root` user.

`--no-user`: Prevent mistakenly running the install command as a non-root user.

`--upgrade`: Upgrade the package to the newest available version. This option is used with the install command if a version of the package is already installed.

`--force-reinstall`: Reinstall the package even if it is up-to-date. This option is used with the install command if reinstalling the package or reverting to an earlier version of the package.

`--no-deps`: Do not install package dependencies. This option may be needed with the --upgrade or --force-reinstall options.

### Contents

Installed Programs: None
Installed Libraries: None
Installed Directories: /usr/lib/python3.14/site-packages/alabaster and /usr/lib/python3.14/site-packages/alabaster-1.0.0.dist-info

## Attrs-25.4.0

### Introduction to Attrs Module

The Attrs package is a python module that allows for writing attributes without extra boilerplate.

### Note

Development versions of BLFS may not build or run some packages properly if LFS or dependencies have been updated since the most recent stable versions of the books.

#### Package Information

- Download (HTTP): https://files.pythonhosted.org/packages/source/a/attrs/attrs-25.4.0.tar.gz

- Download MD5 sum: 6197561dfec99660529830edcfeee0ba

- Download size: 912 KB

- Estimated disk space required: 2.9 MB (add 89 MB for tests)

- Estimated build time: less than 0.1 SBU (0.3 SBU for tests)

#### Attrs Dependencies

##### Required

hatch-fancy-pypi-readme-25.1.0 and hatch_vcs-0.5.0

##### Optional (for testing)

pytest-9.0.3, cloudpickle, hypothesis, Pympler, mypy, pytest-mypy-plugins, pytest-xdist[psutil], and zope.interface

### Installation of Attrs

Build the module:

    pip3 wheel -w dist --no-build-isolation --no-deps --no-cache-dir $PWD

Now, as the `root` user:

    pip3 install --no-index --find-links dist --no-user attrs

To test the installation, run:

    python3 -m venv --system-site-packages testenv &&
    testenv/bin/pip3 install --group mypy          &&
    PATH=$PWD/testenv/bin:$PATH testenv/bin/python -m pytest

### Command Explanations

`-w dist`: builds the appropriate "wheel" for this module in the directory `dist`.

`--no-build-isolation`: tells pip3 to run the build in the system environment instead of creating a temporary build environment.

`--no-deps`: prevents pip3 from building wheels for the project's dependencies.

`--no-index`: ignores the package index (only looking at --find-links URLs instead).

`--find-links dist`: looks for links to archives such as wheel (.whl) files in the directory `dist`.

`--no-cache-dir`: Disables the cache to prevent a warning when installing as the `root` user.

`--no-user`: Prevent mistakenly running the install command as a non-root user.

`--system-site-packages`: Allow the Python3 venv module to access the system-installed `/usr/lib/python3.14/site-packages` directory.

`--upgrade`: Upgrade the package to the newest available version. This option is used with the install command if a version of the package is already installed.

`--force-reinstall`: Reinstall the package even if it is up-to-date. This option is used with the install command if reinstalling the package or reverting to an earlier version of the package.

`--no-deps`: Do not install package dependencies. This option may be needed with the --upgrade or --force-reinstall options.

### Contents

Installed Programs: None
Installed Libraries: None
Installed Directories: /usr/lib/python3.14/site-packages/attr, /usr/lib/python3.14/site-packages/attrs, and /usr/lib/python3.14/site-packages/attrs-25.4.0.dist-info

## babel-2.18.0

### Introduction to Babel Module

The Babel package is an integrated collection of utilities that assist in internationalizing and localizing Python applications, with an emphasis on web-based applications.

### Note

Development versions of BLFS may not build or run some packages properly if LFS or dependencies have been updated since the most recent stable versions of the books.

#### Package Information

- Download (HTTP): https://files.pythonhosted.org/packages/source/B/Babel/babel-2.18.0.tar.gz

- Download MD5 sum: b5ea9705c2ad6f8c630e4a66d3dd2cfa

- Download size: 9.5 MB

- Estimated disk space required: 129 MB (with tests)

- Estimated build time: 0.1 SBU (with tests)

#### Babel Dependencies

##### Required

pytz-2025.2

##### Optional (for testing)

pytest-9.0.3, freezegun, and pytest-cov

### Installation of Babel

Build the module:

    pip3 wheel -w dist --no-build-isolation --no-deps --no-cache-dir $PWD

Now, as the `root` user:

    pip3 install --no-index --find-links dist --no-user Babel

Assuming pytest-9.0.3 is installed, but the other optional dependencies are not, the installation can be tested with the following commands:

    python3 -m venv --system-site-packages testenv &&
    source testenv/bin/activate                    &&
    pip3 install pytest-cov freezegun              &&
    python3 /usr/bin/pytest
    deactivate

### Command Explanations

`-w dist`: builds the appropriate "wheel" for this module in the directory `dist`.

`--no-build-isolation`: tells pip3 to run the build in the system environment instead of creating a temporary build environment.

`--no-deps`: prevents pip3 from building wheels for the project's dependencies.

`--no-index`: ignores the package index (only looking at --find-links URLs instead).

`--find-links dist`: looks for links to archives such as wheel (.whl) files in the directory `dist`.

`--no-cache-dir`: Disables the cache to prevent a warning when installing as the `root` user.

`--no-user`: Prevent mistakenly running the install command as a non-root user.

`--system-site-packages`: Allow the Python3 venv module to access the system-installed `/usr/lib/python3.14/site-packages` directory.

`--upgrade`: Upgrade the package to the newest available version. This option is used with the install command if a version of the package is already installed.

`--force-reinstall`: Reinstall the package even if it is up-to-date. This option is used with the install command if reinstalling the package or reverting to an earlier version of the package.

`--no-deps`: Do not install package dependencies. This option may be needed with the --upgrade or --force-reinstall options.

### Contents

Installed Programs: pybabel
Installed Libraries: None
Installed Directories: /usr/lib/python3.14/site-packages/babel and /usr/lib/python3.14/site-packages/Babel-2.18.0.dist-info

##### Short Descriptions

pybabel | is a command-line interface for working with message catalogs

## certifi-2026.1.4

### Introduction to Certifi Module

The certifi module provides Mozilla’s carefully curated collection of Root Certificates for validating the trustworthiness of SSL certificates while verifying the identity of TLS hosts.

### Note

Development versions of BLFS may not build or run some packages properly if LFS or dependencies have been updated since the most recent stable versions of the books.

#### Package Information

- Download (HTTP): https://files.pythonhosted.org/packages/source/c/certifi/certifi-2026.1.4.tar.gz

- Download MD5 sum: d8447ad858fa15af16f91e32f182aa85

- Download size: 152 KB

- Estimated disk space required: 792 KB

- Estimated build time: less than 0.1 SBU

### Installation of certifi

Build the module:

    pip3 wheel -w dist --no-build-isolation --no-deps --no-cache-dir $PWD

Now, as the `root` user:

    pip3 install --no-index --find-links dist --no-user certifi

### Command Explanations

`-w dist`: builds the appropriate "wheel" for this module in the directory `dist`.

`--no-build-isolation`: tells pip3 to run the build in the system environment instead of creating a temporary build environment.

`--no-deps`: prevents pip3 from building wheels for the project's dependencies.

`--no-index`: ignores the package index (only looking at --find-links URLs instead).

`--find-links dist`: looks for links to archives such as wheel (.whl) files in the directory `dist`.

`--no-cache-dir`: Disables the cache to prevent a warning when installing as the `root` user.

`--no-user`: Prevent mistakenly running the install command as a non-root user.

`--upgrade`: Upgrade the package to the newest available version. This option is used with the install command if a version of the package is already installed.

`--force-reinstall`: Reinstall the package even if it is up-to-date. This option is used with the install command if reinstalling the package or reverting to an earlier version of the package.

`--no-deps`: Do not install package dependencies. This option may be needed with the --upgrade or --force-reinstall options.

### Contents

Installed Programs: None
Installed Libraries: None
Installed Directories: /usr/lib/python3.14/site-packages/certifi and /usr/lib/python3.14/site-packages/certifi-2026.1.4.dist-info

## Chardet-5.2.0

### Introduction to chardet Module

Chardet is a universal character encoding detector.

### Note

Development versions of BLFS may not build or run some packages properly if LFS or dependencies have been updated since the most recent stable versions of the books.

#### Package Information

- Download (HTTP): https://files.pythonhosted.org/packages/source/c/chardet/chardet-5.2.0.tar.gz

- Download MD5 sum: cc2d8cc9a751641463b4f7cfecad2ffa

- Download size: 2 MB

- Estimated disk space required: 12 MB (add 1.1 MB for tests)

- Estimated build time: less than 0.1 SBU (0.3 SBU for tests)

#### Chardet Dependencies

##### Optional (for testing)

pytest-9.0.3

### Installation of Chardet

Build the module:

    pip3 wheel -w dist --no-build-isolation --no-deps --no-cache-dir $PWD

Now, as the `root` user:

    pip3 install --no-index --find-links dist --no-user chardet

To test the installation issue pytest.

### Command Explanations

`-w dist`: builds the appropriate "wheel" for this module in the directory `dist`.

`--no-build-isolation`: tells pip3 to run the build in the system environment instead of creating a temporary build environment.

`--no-deps`: prevents pip3 from building wheels for the project's dependencies.

`--no-index`: ignores the package index (only looking at --find-links URLs instead).

`--find-links dist`: looks for links to archives such as wheel (.whl) files in the directory `dist`.

`--no-cache-dir`: Disables the cache to prevent a warning when installing as the `root` user.

`--no-user`: Prevent mistakenly running the install command as a non-root user.

`--upgrade`: Upgrade the package to the newest available version. This option is used with the install command if a version of the package is already installed.

`--force-reinstall`: Reinstall the package even if it is up-to-date. This option is used with the install command if reinstalling the package or reverting to an earlier version of the package.

`--no-deps`: Do not install package dependencies. This option may be needed with the --upgrade or --force-reinstall options.

### Contents

Installed Programs: chardetect
Installed Libraries: None
Installed Directories: /usr/lib/python3.14/site-packages/chardet and /usr/lib/python3.14/site-packages/chardet-5.2.0.dist-info

##### Short Descriptions

chardetect | is a Universal Character Encoding Detector

## Charset-normalizer-3.4.4

### Introduction to charset-normalizer Module

The charset-normalizer library helps with reading text from an unknown character encoding.

### Note

Development versions of BLFS may not build or run some packages properly if LFS or dependencies have been updated since the most recent stable versions of the books.

#### Package Information

- Download (HTTP): https://files.pythonhosted.org/packages/source/c/charset-normalizer/charset_normalizer-3.4.4.tar.gz

- Download MD5 sum: 3c73a3c5c05a896c1169d8b5298dc4e5

- Download size: 128 KB

- Estimated disk space required: 1.1 MB (add 15 MB for tests)

- Estimated build time: less than 0.1 SBU (with tests)

#### Charset-normalizer Dependencies

##### Optional (for testing)

pytest-9.0.3 and pytest-cov

### Installation of Charset-normalizer

Build the module:

    pip3 wheel -w dist --no-build-isolation --no-deps --no-cache-dir $PWD

Now, as the `root` user:

    pip3 install --no-index --find-links dist --no-user charset-normalizer

Assuming pytest-9.0.3 is installed, but the other optional dependencies are not, the installation can be tested with the following commands:

    python3 -m venv --system-site-packages testenv &&
    source testenv/bin/activate                    &&
    pip3 install pytest-cov                        &&
    python3 /usr/bin/pytest                        &&
    deactivate

### Command Explanations

`-w dist`: builds the appropriate "wheel" for this module in the directory `dist`.

`--no-build-isolation`: tells pip3 to run the build in the system environment instead of creating a temporary build environment.

`--no-deps`: prevents pip3 from building wheels for the project's dependencies.

`--no-index`: ignores the package index (only looking at --find-links URLs instead).

`--find-links dist`: looks for links to archives such as wheel (.whl) files in the directory `dist`.

`--no-cache-dir`: Disables the cache to prevent a warning when installing as the `root` user.

`--no-user`: Prevent mistakenly running the install command as a non-root user.

`--system-site-packages`: Allow the Python3 venv module to access the system-installed `/usr/lib/python3.14/site-packages` directory.

`--upgrade`: Upgrade the package to the newest available version. This option is used with the install command if a version of the package is already installed.

`--force-reinstall`: Reinstall the package even if it is up-to-date. This option is used with the install command if reinstalling the package or reverting to an earlier version of the package.

`--no-deps`: Do not install package dependencies. This option may be needed with the --upgrade or --force-reinstall options.

### Contents

Installed Programs: normalizer
Installed Libraries: None
Installed Directories: /usr/lib/python3.14/site-packages/charset_normalizer and /usr/lib/python3.14/site-packages/charset_normalizer-3.4.4.dist-info

##### Short Descriptions

normalizer | is a Universal Charset Detector (discovers originating encoding and normalizes text to unicode)

## Commonmark-0.9.1

### Introduction to Commonmark Module

Commonmark Python parser for the CommonMark Markdown specification.

### Note

Development versions of BLFS may not build or run some packages properly if LFS or dependencies have been updated since the most recent stable versions of the books.

#### Package Information

- Download (HTTP): https://files.pythonhosted.org/packages/source/c/commonmark/commonmark-0.9.1.tar.gz

- Download MD5 sum: cd1dc70c4714d9ed4117a40490c25e00

- Download size: 94 KB

- Estimated disk space required: 1.3 MB (add 30 MB for tests)

- Estimated build time: less than 0.1 SBU (0.1 SBU for tests)

#### Commonmark Dependencies

##### Optional (for testing)

pytest-9.0.3 and hypothesis

### Installation of Commonmark

Build the module:

    pip3 wheel -w dist --no-build-isolation --no-deps --no-cache-dir $PWD

Now, as the `root` user:

    pip3 install --no-index --find-links dist --no-user commonmark

Assuming pytest-9.0.3 is installed and the other optional dependency is not, the installation can be tested with:

    python3 -m venv --system-site-packages testenv &&
    source testenv/bin/activate                    &&
    pip3 install hypothesis                        &&
    python3 /usr/bin/pytest commonmark/tests/unit_tests.py
    python3 commonmark/tests/run_spec_tests.py
    deactivate

### Command Explanations

`-w dist`: builds the appropriate "wheel" for this module in the directory `dist`.

`--no-build-isolation`: tells pip3 to run the build in the system environment instead of creating a temporary build environment.

`--no-deps`: prevents pip3 from building wheels for the project's dependencies.

`--no-index`: ignores the package index (only looking at --find-links URLs instead).

`--find-links dist`: looks for links to archives such as wheel (.whl) files in the directory `dist`.

`--no-cache-dir`: Disables the cache to prevent a warning when installing as the `root` user.

`--no-user`: Prevent mistakenly running the install command as a non-root user.

`--system-site-packages`: Allow the Python3 venv module to access the system-installed `/usr/lib/python3.14/site-packages` directory.

`--upgrade`: Upgrade the package to the newest available version. This option is used with the install command if a version of the package is already installed.

`--force-reinstall`: Reinstall the package even if it is up-to-date. This option is used with the install command if reinstalling the package or reverting to an earlier version of the package.

`--no-deps`: Do not install package dependencies. This option may be needed with the --upgrade or --force-reinstall options.

### Contents

Installed Programs: cmark
Installed Libraries: None
Installed Directories: /usr/lib/python3.14/site-packages/commonmark and /usr/lib/python3.14/site-packages/commonmark-0.9.1.dist-info

### Short Descriptions

cmark | processes Markdown according to the CommonMark specification

## Editables-0.5

### Introduction to Editables Module

Editables is python library for creating “editable wheels.”

### Note

Development versions of BLFS may not build or run some packages properly if LFS or dependencies have been updated since the most recent stable versions of the books.

#### Package Information

- Download (HTTP): https://files.pythonhosted.org/packages/source/e/editables/editables-0.5.tar.gz

- Download MD5 sum: 520de8c3a9dc5dfb2b365d104541c9de

- Download size: 4.6 KB

- Estimated disk space required: 180 KB

- Estimated build time: less than 0.1 SBU

#### Editables Dependencies

##### Optional (for testing)

pytest-9.0.3

### Installation of Editables

Build the module:

    pip3 wheel -w dist --no-build-isolation --no-deps --no-cache-dir $PWD

Now, as the `root` user:

    pip3 install --no-index --find-links dist --no-user editables

To test the installation, issue: pytest.

### Command Explanations

`-w dist`: builds the appropriate "wheel" for this module in the directory `dist`.

`--no-build-isolation`: tells pip3 to run the build in the system environment instead of creating a temporary build environment.

`--no-deps`: prevents pip3 from building wheels for the project's dependencies.

`--no-index`: ignores the package index (only looking at --find-links URLs instead).

`--find-links dist`: looks for links to archives such as wheel (.whl) files in the directory `dist`.

`--no-cache-dir`: Disables the cache to prevent a warning when installing as the `root` user.

`--no-user`: Prevent mistakenly running the install command as a non-root user.

`--upgrade`: Upgrade the package to the newest available version. This option is used with the install command if a version of the package is already installed.

`--force-reinstall`: Reinstall the package even if it is up-to-date. This option is used with the install command if reinstalling the package or reverting to an earlier version of the package.

`--no-deps`: Do not install package dependencies. This option may be needed with the --upgrade or --force-reinstall options.

### Contents

Installed Programs: None
Installed Libraries: None
Installed Directories: /usr/lib/python3.14/site-packages/editables and /usr/lib/python3.14/site-packages/editables-0.5.dist-info

## Hatchling-1.28.0

### Introduction to Hatchling Module

Hatchling is an extensible, standards compliant build backend for python modules.

### Note

Development versions of BLFS may not build or run some packages properly if LFS or dependencies have been updated since the most recent stable versions of the books.

#### Package Information

- Download (HTTP): https://files.pythonhosted.org/packages/source/h/hatchling/hatchling-1.28.0.tar.gz

- Download MD5 sum: 0d40370d4684147d6e3d1e3800298bd0

- Download size: 57 KB

- Estimated disk space required: 2.3 MB

- Estimated build time: less than 0.1 SBU

#### Hatchling Dependencies

##### Required

editables-0.5, pathspec-1.0.4, pluggy-1.6.0, and trove-classifiers-2026.1.14.14

### Installation of Hatchling

Build the module:

    pip3 wheel -w dist --no-build-isolation --no-deps --no-cache-dir $PWD

This package does not come with a working test suite.

Now, as the `root` user:

    pip3 install --no-index --find-links dist --no-user hatchling

### Command Explanations

`-w dist`: builds the appropriate "wheel" for this module in the directory `dist`.

`--no-build-isolation`: tells pip3 to run the build in the system environment instead of creating a temporary build environment.

`--no-deps`: prevents pip3 from building wheels for the project's dependencies.

`--no-index`: ignores the package index (only looking at --find-links URLs instead).

`--find-links dist`: looks for links to archives such as wheel (.whl) files in the directory `dist`.

`--no-cache-dir`: Disables the cache to prevent a warning when installing as the `root` user.

`--no-user`: Prevent mistakenly running the install command as a non-root user.

`--upgrade`: Upgrade the package to the newest available version. This option is used with the install command if a version of the package is already installed.

`--force-reinstall`: Reinstall the package even if it is up-to-date. This option is used with the install command if reinstalling the package or reverting to an earlier version of the package.

`--no-deps`: Do not install package dependencies. This option may be needed with the --upgrade or --force-reinstall options.

### Contents

Installed Programs: hatchling
Installed Libraries: None
Installed Directories: /usr/lib/python3.14/site-packages/hatchling and /usr/lib/python3.14/site-packages/hatchling-1.28.0.dist-info

### Short Descriptions

hatchling | is a python module builder

## Hatch-Fancy-Pypi-Readme-25.1.0

### Introduction to Hatch-Fancy-Pypi-Readme Module

Hatch-Fancy-Pypi-Readme is a hatch plugin filling the readme field into the metadata of a Python module from markup language documentation files of the module.

### Note

Development versions of BLFS may not build or run some packages properly if LFS or dependencies have been updated since the most recent stable versions of the books.

#### Package Information

- Download (HTTP): https://files.pythonhosted.org/packages/source/h/hatch-fancy-pypi-readme/hatch_fancy_pypi_readme-25.1.0.tar.gz

- Download MD5 sum: 8e1ed2416887685adc1c909ed4fb63cb

- Download size: 32 KB

- Estimated disk space required: 388 KB

- Estimated build time: less than 0.1 SBU

#### Hatch-Fancy-Pypi-Readme Dependencies

##### Required

hatchling-1.28.0

##### Optional (for testing)

build-1.5.0 and pytest-9.0.3

### Installation of Hatch-Fancy-Pypi-Readme

Build the module:

    pip3 wheel -w dist --no-build-isolation --no-deps --no-cache-dir $PWD

Now, as the `root` user:

    pip3 install --no-index --find-links dist --no-user hatch-fancy-pypi-readme

To test the installation, issue: pytest.

### Command Explanations

`-w dist`: builds the appropriate "wheel" for this module in the directory `dist`.

`--no-build-isolation`: tells pip3 to run the build in the system environment instead of creating a temporary build environment.

`--no-deps`: prevents pip3 from building wheels for the project's dependencies.

`--no-index`: ignores the package index (only looking at --find-links URLs instead).

`--find-links dist`: looks for links to archives such as wheel (.whl) files in the directory `dist`.

`--no-cache-dir`: Disables the cache to prevent a warning when installing as the `root` user.

`--no-user`: Prevent mistakenly running the install command as a non-root user.

`--upgrade`: Upgrade the package to the newest available version. This option is used with the install command if a version of the package is already installed.

`--force-reinstall`: Reinstall the package even if it is up-to-date. This option is used with the install command if reinstalling the package or reverting to an earlier version of the package.

`--no-deps`: Do not install package dependencies. This option may be needed with the --upgrade or --force-reinstall options.

### Contents

Installed Programs: None
Installed Libraries: None
Installed Directories: /usr/lib/python3.14/site-packages/hatch_fancy_pypi_readme and /usr/lib/python3.14/site-packages/hatch_fancy_pypi_readme-25.1.0.dist-info

## Hatch_vcs-0.5.0

### Introduction to Hatch-vcs Module

Hatch_vcs is a Hatch plugin for versioning with several Version Control Systems ( VCS ).

### Note

Development versions of BLFS may not build or run some packages properly if LFS or dependencies have been updated since the most recent stable versions of the books.

#### Package Information

- Download (HTTP): https://files.pythonhosted.org/packages/source/h/hatch-vcs/hatch_vcs-0.5.0.tar.gz

- Download MD5 sum: 9a22a9f7203783e526959d34510a9672

- Download size: 9.9 KB

- Estimated disk space required: 436 KB (with tests)

- Estimated build time: less than 0.1 SBU (with tests)

#### Hatch_vcs Dependencies

##### Required

hatchling-1.28.0 and setuptools_scm-9.2.2

##### Optional (for testing)

git-2.53.0 and pytest-9.0.3

### Installation of Hatch_vcs

Build the module:

    pip3 wheel -w dist --no-build-isolation --no-deps --no-cache-dir $PWD

Now, as the `root` user:

    pip3 install --no-index --find-links dist --no-user hatch_vcs

To test the installation, issue (`HOME=` prevents the `.gitconfig` file in the home directory from interfering the tests): HOME= pytest.

### Command Explanations

`-w dist`: builds the appropriate "wheel" for this module in the directory `dist`.

`--no-build-isolation`: tells pip3 to run the build in the system environment instead of creating a temporary build environment.

`--no-deps`: prevents pip3 from building wheels for the project's dependencies.

`--no-index`: ignores the package index (only looking at --find-links URLs instead).

`--find-links dist`: looks for links to archives such as wheel (.whl) files in the directory `dist`.

`--no-cache-dir`: Disables the cache to prevent a warning when installing as the `root` user.

`--no-user`: Prevent mistakenly running the install command as a non-root user.

`--upgrade`: Upgrade the package to the newest available version. This option is used with the install command if a version of the package is already installed.

`--force-reinstall`: Reinstall the package even if it is up-to-date. This option is used with the install command if reinstalling the package or reverting to an earlier version of the package.

`--no-deps`: Do not install package dependencies. This option may be needed with the --upgrade or --force-reinstall options.

### Contents

Installed Programs: None
Installed Libraries: None
Installed Directories: /usr/lib/python3.14/site-packages/hatch_vcs and /usr/lib/python3.14/site-packages/hatch_vcs-0.5.0.dist-info

## Idna-3.11

### Introduction to Idna Module

The Idna module provides support for the Internationalized Domain Names in Applications (IDNA) protocol as specified in RFC 5891.

### Note

Development versions of BLFS may not build or run some packages properly if LFS or dependencies have been updated since the most recent stable versions of the books.

#### Package Information

- Download (HTTP): https://files.pythonhosted.org/packages/source/i/idna/idna-3.11.tar.gz

- Download MD5 sum: 9a9c33db960e0d35cc5b257c37dabeff

- Download size: 192 KB

- Estimated disk space required: 5.1 MB (with tests)

- Estimated build time: less than 0.1 SBU (with tests)

#### Idna Dependencies

##### Optional (for testing)

pytest-9.0.3

### Installation of Idna

Build the module:

    pip3 wheel -w dist --no-build-isolation --no-deps --no-cache-dir $PWD

Now, as the `root` user:

    pip3 install --no-index --find-links dist --no-user idna

To test the installation, run pytest.

### Command Explanations

`-w dist`: builds the appropriate "wheel" for this module in the directory `dist`.

`--no-build-isolation`: tells pip3 to run the build in the system environment instead of creating a temporary build environment.

`--no-deps`: prevents pip3 from building wheels for the project's dependencies.

`--no-index`: ignores the package index (only looking at --find-links URLs instead).

`--find-links dist`: looks for links to archives such as wheel (.whl) files in the directory `dist`.

`--no-cache-dir`: Disables the cache to prevent a warning when installing as the `root` user.

`--no-user`: Prevent mistakenly running the install command as a non-root user.

`--upgrade`: Upgrade the package to the newest available version. This option is used with the install command if a version of the package is already installed.

`--force-reinstall`: Reinstall the package even if it is up-to-date. This option is used with the install command if reinstalling the package or reverting to an earlier version of the package.

`--no-deps`: Do not install package dependencies. This option may be needed with the --upgrade or --force-reinstall options.

### Contents

Installed Programs: None
Installed Libraries: None
Installed Directories: /usr/lib/python3.14/site-packages/idna and /usr/lib/python3.14/site-packages/idna-3.11.dist-info

## Imagesize-1.4.1

### Introduction to Imagesize Module

The imagesize package analyzes image file headers and returns the image size and DPI. It works with JPEG/JPEG 2000/PNG/GIF/TIFF/SVG/Netpbm/WebP formats.

### Note

Development versions of BLFS may not build or run some packages properly if LFS or dependencies have been updated since the most recent stable versions of the books.

#### Package Information

- Download (HTTP): https://files.pythonhosted.org/packages/source/i/imagesize/imagesize-1.4.1.tar.gz

- Download MD5 sum: 5a40586a25c07e1a8f16f6267252c321

- Download size: 1.2 MB

- Estimated disk space required: 1.8 MB (with tests)

- Estimated build time: less than 0.1 SBU (with tests)

#### Imagesize Dependencies

##### Optional (for testing)

pytest-9.0.3 and requests-2.33.1

### Installation of Imagesize

Build the module:

    pip3 wheel -w dist --no-build-isolation --no-deps --no-cache-dir $PWD

Now, as the `root` user:

    pip3 install --no-index --find-links dist --no-user imagesize

The tests for this package are known to be broken. To test the installation anyway, run pytest.

### Command Explanations

`-w dist`: builds the appropriate "wheel" for this module in the directory `dist`.

`--no-build-isolation`: tells pip3 to run the build in the system environment instead of creating a temporary build environment.

`--no-deps`: prevents pip3 from building wheels for the project's dependencies.

`--no-index`: ignores the package index (only looking at --find-links URLs instead).

`--find-links dist`: looks for links to archives such as wheel (.whl) files in the directory `dist`.

`--no-cache-dir`: Disables the cache to prevent a warning when installing as the `root` user.

`--no-user`: Prevent mistakenly running the install command as a non-root user.

`--upgrade`: Upgrade the package to the newest available version. This option is used with the install command if a version of the package is already installed.

`--force-reinstall`: Reinstall the package even if it is up-to-date. This option is used with the install command if reinstalling the package or reverting to an earlier version of the package.

`--no-deps`: Do not install package dependencies. This option may be needed with the --upgrade or --force-reinstall options.

### Contents

Installed Programs: None
Installed Libraries: None
Installed Directories: /usr/lib/python3.14/site-packages/imagesize and /usr/lib/python3.14/site-packages/imagesize-1.4.1.dist-info

## Iniconfig-2.3.0

### Introduction to Iniconfig Module

Iniconfig is a small and simple INI-file parser module.

### Note

Development versions of BLFS may not build or run some packages properly if LFS or dependencies have been updated since the most recent stable versions of the books.

#### Package Information

- Download (HTTP): https://files.pythonhosted.org/packages/source/i/iniconfig/iniconfig-2.3.0.tar.gz

- Download MD5 sum: 5c1d9c21275feb3da71400bf716edd72

- Download size: 24 KB

- Estimated disk space required: 304 KB

- Estimated build time: less than 0.1 SBU

#### Iniconfig Dependencies

##### Required

hatch_vcs-0.5.0

##### Optional (for testing)

pytest-9.0.3

### Installation of Iniconfig

Build the module:

    pip3 wheel -w dist --no-build-isolation --no-deps --no-cache-dir $PWD

Now, as the `root` user:

    pip3 install --no-index --find-links dist --no-user iniconfig

To test the results, issue: pytest

### Command Explanations

`-w dist`: builds the appropriate "wheel" for this module in the directory `dist`.

`--no-build-isolation`: tells pip3 to run the build in the system environment instead of creating a temporary build environment.

`--no-deps`: prevents pip3 from building wheels for the project's dependencies.

`--no-index`: ignores the package index (only looking at --find-links URLs instead).

`--find-links dist`: looks for links to archives such as wheel (.whl) files in the directory `dist`.

`--no-cache-dir`: Disables the cache to prevent a warning when installing as the `root` user.

`--no-user`: Prevent mistakenly running the install command as a non-root user.

`--upgrade`: Upgrade the package to the newest available version. This option is used with the install command if a version of the package is already installed.

`--force-reinstall`: Reinstall the package even if it is up-to-date. This option is used with the install command if reinstalling the package or reverting to an earlier version of the package.

`--no-deps`: Do not install package dependencies. This option may be needed with the --upgrade or --force-reinstall options.

### Contents

Installed Programs: None
Installed Libraries: None
Installed Directories: /usr/lib/python3.14/site-packages/iniconfig and /usr/lib/python3.14/site-packages/iniconfig-2.3.0.dist-info

## maturin-1.13.1

### Introduction to the maturin Module

The maturin module provides a build system for rust binaries and crates generated from Python packages.

### Note

Development versions of BLFS may not build or run some packages properly if LFS or dependencies have been updated since the most recent stable versions of the books.

#### Package Information

- Download (HTTP): https://github.com/PyO3/maturin/archive/v1.13.1/maturin-1.13.1.tar.gz

- Download MD5 sum: 4cb5cb9c25c869b8990e6780e871de31

- Download size: 712 KB

- Estimated disk space required: 486 MB (add 3.2 GB for tests)

- Estimated build time: 0.3 SBU (add 0.5 SBU for tests)

#### maturin Dependencies

##### Required

rustc-1.95.0 and setuptools_rust-1.12.0

##### Optional

patchelf-0.18.0 and zig

##### Optional (for testing)

cffi, pycparser, and virtualenv

### Installation of maturin

Build the module:

    pip3 wheel -w dist --no-build-isolation --no-deps --no-cache-dir $PWD

Now, as the `root` user:

    pip3 install --no-index --find-links dist --no-user maturin

To test the installation, issue:

    python3 -m venv --system-site-packages testenv     &&
    testenv/bin/pip3 install cffi pycparser virtualenv &&
    PATH=$PWD/testenv/bin:$PATH cargo test

One test, `module_writer::mock_writer::write_dist_info_uses_license_file_sources`, is known to fail.

### Command Explanations

`-w dist`: builds the appropriate "wheel" for this module in the directory `dist`.

`--no-build-isolation`: tells pip3 to run the build in the system environment instead of creating a temporary build environment.

`--no-deps`: prevents pip3 from building wheels for the project's dependencies.

`--no-index`: ignores the package index (only looking at --find-links URLs instead).

`--find-links dist`: looks for links to archives such as wheel (.whl) files in the directory `dist`.

`--no-cache-dir`: Disables the cache to prevent a warning when installing as the `root` user.

`--no-user`: Prevent mistakenly running the install command as a non-root user.

`--upgrade`: Upgrade the package to the newest available version. This option is used with the install command if a version of the package is already installed.

`--force-reinstall`: Reinstall the package even if it is up-to-date. This option is used with the install command if reinstalling the package or reverting to an earlier version of the package.

`--no-deps`: Do not install package dependencies. This option may be needed with the --upgrade or --force-reinstall options.

### Contents

Installed Programs: maturin
Installed Libraries: None
Installed Directories: /usr/lib/python3.14/site-packages/maturin and /usr/lib/python3.14/site-packages/maturin-1.13.1.dist-info

### Short Descriptions

maturin | builds crates with pyo3, cffi, and uniffi bindings as well as rust binaries as Python packages

## Markdown-3.10.2

### Introduction to Markdown Module

Markdown is a Python parser for John Gruber's Markdown specification.

### Note

Development versions of BLFS may not build or run some packages properly if LFS or dependencies have been updated since the most recent stable versions of the books.

#### Package Information

- Download (HTTP): https://files.pythonhosted.org/packages/source/M/Markdown/markdown-3.10.2.tar.gz

- Download MD5 sum: ec7bae2cc261dcb2c9a27271b60d40d4

- Download size: 364 KB

- Estimated disk space required: 21 MB (with tests)

- Estimated build time: less than 0.1 SBU (with tests)

#### Markdown Dependencies

##### Optional (for testing)

pytest-9.0.3, PyYAML-6.0.3, and coverage

### Installation of Markdown

Build the module:

    pip3 wheel -w dist --no-build-isolation --no-deps --no-cache-dir $PWD

Now, as the `root` user:

    pip3 install --no-index --find-links dist --no-user Markdown

Assuming pytest-9.0.3 and PyYAML-6.0.3 are installed and the other optional dependency is not, the installation can be tested with:

    python3 -m venv --system-site-packages testenv &&
    source testenv/bin/activate                    &&
    pip3 install coverage                          &&
    python3 /usr/bin/pytest --ignore=tests/test_syntax/extensions/test_md_in_html.py
    deactivate

The instructions above skip the `test_md_in_html` test because it is incompatible with pytest-9.0 and later. One test, `test_apis.py::TestConvertFile::testFileNames`, will output a deprecation warning because of Python 3.14.

### Command Explanations

`-w dist`: builds the appropriate "wheel" for this module in the directory `dist`.

`--no-build-isolation`: tells pip3 to run the build in the system environment instead of creating a temporary build environment.

`--no-deps`: prevents pip3 from building wheels for the project's dependencies.

`--no-index`: ignores the package index (only looking at --find-links URLs instead).

`--find-links dist`: looks for links to archives such as wheel (.whl) files in the directory `dist`.

`--no-cache-dir`: Disables the cache to prevent a warning when installing as the `root` user.

`--no-user`: Prevent mistakenly running the install command as a non-root user.

`--system-site-packages`: Allow the Python3 venv module to access the system-installed `/usr/lib/python3.14/site-packages` directory.

`--upgrade`: Upgrade the package to the newest available version. This option is used with the install command if a version of the package is already installed.

`--force-reinstall`: Reinstall the package even if it is up-to-date. This option is used with the install command if reinstalling the package or reverting to an earlier version of the package.

`--no-deps`: Do not install package dependencies. This option may be needed with the --upgrade or --force-reinstall options.

### Contents

Installed Programs: markdown_py
Installed Libraries: None
Installed Directories: /usr/lib/python3.14/site-packages/markdown and /usr/lib/python3.14/site-packages/Markdown-3.10.2.dist-info

### Short Descriptions

markdown_py | converts markdown files to (x)html

## Meson_python-0.19.0

### Introduction to Meson_python Module

The Meson_python module contains a Python build backend (PEP 517) for Meson projects.

### Note

Development versions of BLFS may not build or run some packages properly if LFS or dependencies have been updated since the most recent stable versions of the books.

#### Package Information

- Download (HTTP): https://files.pythonhosted.org/packages/source/m/meson_python/meson_python-0.19.0.tar.gz

- Download MD5 sum: 36c0a47464398008ea3939bbef334f31

- Download size: 100 KB

- Estimated disk space required: 104 MB (with tests)

- Estimated build time: less than 0.1 SBU

#### Meson_python Dependencies

##### Required

pyproject-metadata-0.11.0

##### Recommended (Runtime)

patchelf-0.18.0

##### Optional (for testing)

build-1.5.0, cython-3.2.4, git-2.53.0, pytest-9.0.3, and pytest-mock

### Installation of Meson_python

Build the module:

    pip3 wheel -w dist --no-build-isolation --no-deps --no-cache-dir $PWD

Now, as the `root` user:

    pip3 install --no-index --find-links dist --no-user meson_python

To test the installation, make sure git-2.53.0, patchelf-0.18.0, and pytest-9.0.3 are installed, then issue (`HOME=` prevents the `.gitconfig` file in the home directory from interfering the tests):

    python3 -m venv --system-site-packages testenv &&
    testenv/bin/pip3 install --group=test          &&
    HOME= testenv/bin/python -m pytest

### Command Explanations

`-w dist`: builds the appropriate "wheel" for this module in the directory `dist`.

`--no-build-isolation`: tells pip3 to run the build in the system environment instead of creating a temporary build environment.

`--no-deps`: prevents pip3 from building wheels for the project's dependencies.

`--no-index`: ignores the package index (only looking at --find-links URLs instead).

`--find-links dist`: looks for links to archives such as wheel (.whl) files in the directory `dist`.

`--no-cache-dir`: Disables the cache to prevent a warning when installing as the `root` user.

`--no-user`: Prevent mistakenly running the install command as a non-root user.

`--system-site-packages`: Allow the Python3 venv module to access the system-installed `/usr/lib/python3.14/site-packages` directory.

`--upgrade`: Upgrade the package to the newest available version. This option is used with the install command if a version of the package is already installed.

`--force-reinstall`: Reinstall the package even if it is up-to-date. This option is used with the install command if reinstalling the package or reverting to an earlier version of the package.

`--no-deps`: Do not install package dependencies. This option may be needed with the --upgrade or --force-reinstall options.

### Contents

Installed Programs: None
Installed Libraries: None
Installed Directories: /usr/lib/python3.14/site-packages/meson_python and /usr/lib/python3.14/site-packages/meson_python-0.19.0.dist-info

## Msgpack-1.1.2

### Introduction to Msgpack Module

Msgpack is an efficient binary serialization format. It lets you exchange data among multiple languages like JSON. But it's faster and smaller. This package provides CPython bindings for reading and writing Msgpack data.

### Note

Development versions of BLFS may not build or run some packages properly if LFS or dependencies have been updated since the most recent stable versions of the books.

#### Package Information

- Download (HTTP): https://files.pythonhosted.org/packages/source/m/msgpack/msgpack-1.1.2.tar.gz

- Download MD5 sum: b69973fa3325abdced4051f5ef3847d3

- Download size: 172 KB

- Estimated disk space required: 4.1 MB (add 0.3 MB for tests)

- Estimated build time: less than 0.1 SBU

#### Msgpack Dependencies

##### Required

cython-3.2.4

##### Optional (for testing)

pytest-9.0.3

### Installation of Msgpack

Build the module:

    pip3 wheel -w dist --no-build-isolation --no-deps --no-cache-dir $PWD

Now, as the `root` user:

    pip3 install --no-index --find-links dist --no-user msgpack

To test the installation issue pytest.

### Command Explanations

`-w dist`: builds the appropriate "wheel" for this module in the directory `dist`.

`--no-build-isolation`: tells pip3 to run the build in the system environment instead of creating a temporary build environment.

`--no-deps`: prevents pip3 from building wheels for the project's dependencies.

`--no-index`: ignores the package index (only looking at --find-links URLs instead).

`--find-links dist`: looks for links to archives such as wheel (.whl) files in the directory `dist`.

`--no-cache-dir`: Disables the cache to prevent a warning when installing as the `root` user.

`--no-user`: Prevent mistakenly running the install command as a non-root user.

`--upgrade`: Upgrade the package to the newest available version. This option is used with the install command if a version of the package is already installed.

`--force-reinstall`: Reinstall the package even if it is up-to-date. This option is used with the install command if reinstalling the package or reverting to an earlier version of the package.

`--no-deps`: Do not install package dependencies. This option may be needed with the --upgrade or --force-reinstall options.

### Contents

Installed Programs: None
Installed Libraries: None
Installed Directories: /usr/lib/python3.14/site-packages/msgpack-1.1.2.dist-info and /usr/lib/python3.14/site-packages/msgpack

## Pathspec-1.0.4

### Introduction to Pathspec Module

Pathspec is a utility library for pattern matching of file paths.

### Note

Development versions of BLFS may not build or run some packages properly if LFS or dependencies have been updated since the most recent stable versions of the books.

#### Package Information

- Download (HTTP): https://files.pythonhosted.org/packages/source/p/pathspec/pathspec-1.0.4.tar.gz

- Download MD5 sum: 18d9e6adb72e544b56a88c3e53094b4e

- Download size: 128 KB

- Estimated disk space required: 2.3 MB (with tests)

- Estimated build time: less than 0.1 SBU (with tests)

#### Pathspec Dependencies

##### Optional (for testing)

pytest-9.0.3

### Installation of Pathspec

Build the module:

    pip3 wheel -w dist --no-build-isolation --no-deps --no-cache-dir $PWD

Now, as the `root` user:

    pip3 install --no-index --find-links dist --no-user pathspec

To test the installation, issue pytest.

### Command Explanations

`-w dist`: builds the appropriate "wheel" for this module in the directory `dist`.

`--no-build-isolation`: tells pip3 to run the build in the system environment instead of creating a temporary build environment.

`--no-deps`: prevents pip3 from building wheels for the project's dependencies.

`--no-index`: ignores the package index (only looking at --find-links URLs instead).

`--find-links dist`: looks for links to archives such as wheel (.whl) files in the directory `dist`.

`--no-cache-dir`: Disables the cache to prevent a warning when installing as the `root` user.

`--no-user`: Prevent mistakenly running the install command as a non-root user.

`--upgrade`: Upgrade the package to the newest available version. This option is used with the install command if a version of the package is already installed.

`--force-reinstall`: Reinstall the package even if it is up-to-date. This option is used with the install command if reinstalling the package or reverting to an earlier version of the package.

`--no-deps`: Do not install package dependencies. This option may be needed with the --upgrade or --force-reinstall options.

### Contents

Installed Programs: None
Installed Libraries: None
Installed Directories: /usr/lib/python3.14/site-packages/pathspec and /usr/lib/python3.14/site-packages/pathspec-1.0.4.dist-info

## Pluggy-1.6.0

### Introduction to Pluggy Module

The Pluggy package gives users the ability to extend or modify the behaviour of a host program by installing a plugin for that program. The plugin code will run as part of normal program execution, changing or enhancing certain aspects of it. In essence, pluggy enables function hooking so a user can build “pluggable” systems.

### Note

Development versions of BLFS may not build or run some packages properly if LFS or dependencies have been updated since the most recent stable versions of the books.

#### Package Information

- Download (HTTP): https://files.pythonhosted.org/packages/source/p/pluggy/pluggy-1.6.0.tar.gz

- Download MD5 sum: 54391218af778acb006c2d915085d469

- Download size: 68 KB

- Estimated disk space required: 588 KB (add 18 MB for tests)

- Estimated build time: less than 0.1 SBU (with tests)

#### Pluggy Dependencies

##### Recommended

setuptools_scm-9.2.2

##### Optional (for testing)

pytest-9.0.3

### Installation of Pluggy

Build the module:

    pip3 wheel -w dist --no-build-isolation --no-deps --no-cache-dir $PWD

Now, as the `root` user:

    pip3 install --no-index --find-links dist --no-user pluggy

To test the installation, issue: pytest.

### Command Explanations

`-w dist`: builds the appropriate "wheel" for this module in the directory `dist`.

`--no-build-isolation`: tells pip3 to run the build in the system environment instead of creating a temporary build environment.

`--no-deps`: prevents pip3 from building wheels for the project's dependencies.

`--no-index`: ignores the package index (only looking at --find-links URLs instead).

`--find-links dist`: looks for links to archives such as wheel (.whl) files in the directory `dist`.

`--no-cache-dir`: Disables the cache to prevent a warning when installing as the `root` user.

`--no-user`: Prevent mistakenly running the install command as a non-root user.

`--upgrade`: Upgrade the package to the newest available version. This option is used with the install command if a version of the package is already installed.

`--force-reinstall`: Reinstall the package even if it is up-to-date. This option is used with the install command if reinstalling the package or reverting to an earlier version of the package.

`--no-deps`: Do not install package dependencies. This option may be needed with the --upgrade or --force-reinstall options.

### Contents

Installed Programs: None
Installed Libraries: None
Installed Directories: /usr/lib/python3.14/site-packages/pluggy and /usr/lib/python3.14/site-packages/pluggy-1.6.0.dist-info

## Pyproject_Hooks-1.2.0

### Introduction to Pyproject_Hooks Module

Pyproject_Hooks is a low-level library for calling build-backends in `pyproject.toml`-based projects.

### Note

Development versions of BLFS may not build or run some packages properly if LFS or dependencies have been updated since the most recent stable versions of the books.

#### Package Information

- Download (HTTP): https://files.pythonhosted.org/packages/source/p/pyproject-hooks/pyproject_hooks-1.2.0.tar.gz

- Download MD5 sum: ed3dd1b984339e83e35f676d7169c192

- Download size: 19 KB

- Estimated disk space required: 520 KB (14 MB with tests)

- Estimated build time: less than 0.1 SBU (with tests)

#### Pyproject_Hooks Dependencies

##### Optional (for tests)

pytest-9.0.3 and testpath

### Installation of Pyproject_Hooks

Build the module:

    pip3 wheel -w dist --no-build-isolation --no-deps --no-cache-dir $PWD

Now, as the `root` user:

    pip3 install --no-index --find-links dist --no-user pyproject_hooks

Assuming pytest-9.0.3 is installed, but the other optional dependency is not, the installation can be tested with the following commands:

    python3 -m venv --system-site-packages testenv &&
    source testenv/bin/activate                    &&
    pip3 install testpath                          &&
    python3 -m pytest
    deactivate

### Command Explanations

`-w dist`: builds the appropriate "wheel" for this module in the directory `dist`.

`--no-build-isolation`: tells pip3 to run the build in the system environment instead of creating a temporary build environment.

`--no-deps`: prevents pip3 from building wheels for the project's dependencies.

`--no-index`: ignores the package index (only looking at --find-links URLs instead).

`--find-links dist`: looks for links to archives such as wheel (.whl) files in the directory `dist`.

`--no-cache-dir`: Disables the cache to prevent a warning when installing as the `root` user.

`--no-user`: Prevent mistakenly running the install command as a non-root user.

`--system-site-packages`: Allow the Python3 venv module to access the system-installed `/usr/lib/python3.14/site-packages` directory.

`--upgrade`: Upgrade the package to the newest available version. This option is used with the install command if a version of the package is already installed.

`--force-reinstall`: Reinstall the package even if it is up-to-date. This option is used with the install command if reinstalling the package or reverting to an earlier version of the package.

`--no-deps`: Do not install package dependencies. This option may be needed with the --upgrade or --force-reinstall options.

### Contents

Installed Programs: None
Installed Libraries: None
Installed Directories: /usr/lib/python3.14/site-packages/pyproject_hooks and /usr/lib/python3.14/site-packages/pyproject_hooks-1.2.0.dist-info

## Pyproject-Metadata-0.11.0

### Introduction to Pyproject-Metadata Module

The Pyproject-Metadata module contains a data class for PEP 621 metadata with support for “core metadata” (PEP 643) generation.

### Note

Development versions of BLFS may not build or run some packages properly if LFS or dependencies have been updated since the most recent stable versions of the books.

#### Package Information

- Download (HTTP): https://files.pythonhosted.org/packages/source/p/pyproject-metadata/pyproject_metadata-0.11.0.tar.gz

- Download MD5 sum: f5f54a0951177667dfd7eefdfaa11372

- Download size: 44 KB

- Estimated disk space required: 700 KB

- Estimated build time: less than 0.1 SBU

#### Pyproject-Metadata Dependencies

##### Optional (for testing)

pytest-9.0.3 and exceptiongroup

### Installation of Pyproject-Metadata

Build the module:

    pip3 wheel -w dist --no-build-isolation --no-deps --no-cache-dir $PWD

Now, as the `root` user:

    pip3 install --no-index --find-links dist --no-user pyproject-metadata

To test the installation, make sure pytest-9.0.3 is installed and run:

    python3 -m venv --system-site-packages testenv &&
    testenv/bin/pip3 install exceptiongroup        &&
    testenv/bin/python3 -m pytest

### Command Explanations

`-w dist`: builds the appropriate "wheel" for this module in the directory `dist`.

`--no-build-isolation`: tells pip3 to run the build in the system environment instead of creating a temporary build environment.

`--no-deps`: prevents pip3 from building wheels for the project's dependencies.

`--no-index`: ignores the package index (only looking at --find-links URLs instead).

`--find-links dist`: looks for links to archives such as wheel (.whl) files in the directory `dist`.

`--no-cache-dir`: Disables the cache to prevent a warning when installing as the `root` user.

`--no-user`: Prevent mistakenly running the install command as a non-root user.

`--upgrade`: Upgrade the package to the newest available version. This option is used with the install command if a version of the package is already installed.

`--force-reinstall`: Reinstall the package even if it is up-to-date. This option is used with the install command if reinstalling the package or reverting to an earlier version of the package.

`--no-deps`: Do not install package dependencies. This option may be needed with the --upgrade or --force-reinstall options.

### Contents

Installed Programs: None
Installed Libraries: None
Installed Directories: /usr/lib/python3.14/site-packages/pyproject_metadata and /usr/lib/python3.14/site-packages/pyproject_metadata-0.11.0.dist-info

## Pytz-2025.2

### Introduction to Pytz Module

The Pytz library brings the IANA tz database into Python. It allows accurate and cross-platform timezone calculations.

### Note

Development versions of BLFS may not build or run some packages properly if LFS or dependencies have been updated since the most recent stable versions of the books.

#### Package Information

- Download (HTTP): https://files.pythonhosted.org/packages/source/p/pytz/pytz-2025.2.tar.gz

- Download MD5 sum: 6a7760c71e38b6c75577b34b18b89d5b

- Download size: 316 KB

- Estimated disk space required: 6.2 MB (with tests)

- Estimated build time: less than 0.1 SBU (with tests)

#### Pytz dependencies

##### Optional (for testing)

pytest-9.0.3

### Installation of Pytz

Build the module:

    pip3 wheel -w dist --no-build-isolation --no-deps --no-cache-dir $PWD

Now, as the `root` user:

    pip3 install --no-index --find-links dist --no-user pytz

To test the installation, run pytest. A few warnings are issued.

### Command Explanations

`-w dist`: builds the appropriate "wheel" for this module in the directory `dist`.

`--no-build-isolation`: tells pip3 to run the build in the system environment instead of creating a temporary build environment.

`--no-deps`: prevents pip3 from building wheels for the project's dependencies.

`--no-index`: ignores the package index (only looking at --find-links URLs instead).

`--find-links dist`: looks for links to archives such as wheel (.whl) files in the directory `dist`.

`--no-cache-dir`: Disables the cache to prevent a warning when installing as the `root` user.

`--no-user`: Prevent mistakenly running the install command as a non-root user.

`--upgrade`: Upgrade the package to the newest available version. This option is used with the install command if a version of the package is already installed.

`--force-reinstall`: Reinstall the package even if it is up-to-date. This option is used with the install command if reinstalling the package or reverting to an earlier version of the package.

`--no-deps`: Do not install package dependencies. This option may be needed with the --upgrade or --force-reinstall options.

### Contents

Installed Programs: None
Installed Libraries: None
Installed Directories: /usr/lib/python3.14/site-packages/pytz and /usr/lib/python3.14/site-packages/pytz-2025.2.dist-info

## Roman-numerals-4.1.0

### Introduction to Roman-numerals Module

Roman-numerals is a python library for manipulating well-formed Roman numerals.

### Note

Development versions of BLFS may not build or run some packages properly if LFS or dependencies have been updated since the most recent stable versions of the books.

#### Package Information

- Download (HTTP): https://files.pythonhosted.org/packages/source/r/roman-numerals/roman_numerals-4.1.0.tar.gz

- Download MD5 sum: 0154d3518651ec46fb0ad1dfbdf86348

- Download size: 12 KB

- Estimated disk space required: 320 KB

- Estimated build time: less than 0.1 SBU

#### Roman-numerals Dependencies

##### Optional (for testing)

pytest-9.0.3

### Installation of Roman-numerals

Build the module:

    pip3 wheel -w dist --no-build-isolation --no-deps --no-cache-dir $PWD

Now, as the `root` user:

    pip3 install --no-index --find-links dist --no-user roman-numerals

To test the installation, issue: pytest.

### Command Explanations

`-w dist`: builds the appropriate "wheel" for this module in the directory `dist`.

`--no-build-isolation`: tells pip3 to run the build in the system environment instead of creating a temporary build environment.

`--no-deps`: prevents pip3 from building wheels for the project's dependencies.

`--no-index`: ignores the package index (only looking at --find-links URLs instead).

`--find-links dist`: looks for links to archives such as wheel (.whl) files in the directory `dist`.

`--no-cache-dir`: Disables the cache to prevent a warning when installing as the `root` user.

`--no-user`: Prevent mistakenly running the install command as a non-root user.

`--upgrade`: Upgrade the package to the newest available version. This option is used with the install command if a version of the package is already installed.

`--force-reinstall`: Reinstall the package even if it is up-to-date. This option is used with the install command if reinstalling the package or reverting to an earlier version of the package.

`--no-deps`: Do not install package dependencies. This option may be needed with the --upgrade or --force-reinstall options.

### Contents

Installed Programs: None
Installed Libraries: None
Installed Directories: /usr/lib/python3.14/site-packages/roman_numerals and /usr/lib/python3.14/site-packages/roman_numerals-4.1.0.dist-info

## semantic_version-2.10.0

### Introduction to the semantic_version Module

The semantic_version module brings a small library to handle the standard for Semantic Versioning in Python.

### Note

Development versions of BLFS may not build or run some packages properly if LFS or dependencies have been updated since the most recent stable versions of the books.

#### Package Information

- Download (HTTP): https://files.pythonhosted.org/packages/source/s/semantic_version/semantic_version-2.10.0.tar.gz

- Download MD5 sum: e48abef93ba69abcd4eaf4640edfc38b

- Download size: 52 KB

- Estimated disk space required: 656 KB (with tests)

- Estimated build time: less than 0.1 SBU (with tests)

#### semantic_version Dependencies

##### Optional (for testing)

pytest-9.0.3 and Django

### Installation of semantic_version

Build the module:

    pip3 wheel -w dist --no-build-isolation --no-deps --no-cache-dir $PWD

Now, as the `root` user:

    pip3 install --no-index --find-links dist --no-user semantic_version

To test the installation, run pytest. There are 500+ warnings issued due to deprecated syntax with newer versions of Python.

### Command Explanations

`-w dist`: builds the appropriate "wheel" for this module in the directory `dist`.

`--no-build-isolation`: tells pip3 to run the build in the system environment instead of creating a temporary build environment.

`--no-deps`: prevents pip3 from building wheels for the project's dependencies.

`--no-index`: ignores the package index (only looking at --find-links URLs instead).

`--find-links dist`: looks for links to archives such as wheel (.whl) files in the directory `dist`.

`--no-cache-dir`: Disables the cache to prevent a warning when installing as the `root` user.

`--no-user`: Prevent mistakenly running the install command as a non-root user.

`--upgrade`: Upgrade the package to the newest available version. This option is used with the install command if a version of the package is already installed.

`--force-reinstall`: Reinstall the package even if it is up-to-date. This option is used with the install command if reinstalling the package or reverting to an earlier version of the package.

`--no-deps`: Do not install package dependencies. This option may be needed with the --upgrade or --force-reinstall options.

### Contents

Installed Programs: None
Installed Libraries: None
Installed Directories: /usr/lib/python3.14/site-packages/semantic_version and /usr/lib/python3.14/site-packages/semantic_version-2.10.0.dist-info

## setuptools_rust-1.12.0

### Introduction to the setuptools_rust Module

The setuptools_rust module provides a plugin to setuptools allowing for the compilation of Python extensions in Rust.

### Note

Development versions of BLFS may not build or run some packages properly if LFS or dependencies have been updated since the most recent stable versions of the books.

#### Package Information

- Download (HTTP): https://files.pythonhosted.org/packages/source/s/setuptools_rust/setuptools_rust-1.12.0.tar.gz

- Download MD5 sum: 6ecee3d9f3ac646a52d60155022fd0d0

- Download size: 304 KB

- Estimated disk space required: 3.9 MB (with tests)

- Estimated build time: less than 0.1 SBU (with tests)

#### setuptools_rust Dependencies

##### Required

semantic_version-2.10.0

##### Optional (for testing)

pytest-9.0.3

### Installation of setuptools_rust

Build the module:

    pip3 wheel -w dist --no-build-isolation --no-deps --no-cache-dir $PWD

Now, as the `root` user:

    pip3 install --no-index --find-links dist --no-user setuptools_rust

To test the installation, issue: pytest --doctest-modules setuptools_rust tests. One warning will be present about an API deprecation.

### Command Explanations

`-w dist`: builds the appropriate "wheel" for this module in the directory `dist`.

`--no-build-isolation`: tells pip3 to run the build in the system environment instead of creating a temporary build environment.

`--no-deps`: prevents pip3 from building wheels for the project's dependencies.

`--no-index`: ignores the package index (only looking at --find-links URLs instead).

`--find-links dist`: looks for links to archives such as wheel (.whl) files in the directory `dist`.

`--no-cache-dir`: Disables the cache to prevent a warning when installing as the `root` user.

`--no-user`: Prevent mistakenly running the install command as a non-root user.

`--upgrade`: Upgrade the package to the newest available version. This option is used with the install command if a version of the package is already installed.

`--force-reinstall`: Reinstall the package even if it is up-to-date. This option is used with the install command if reinstalling the package or reverting to an earlier version of the package.

`--no-deps`: Do not install package dependencies. This option may be needed with the --upgrade or --force-reinstall options.

### Contents

Installed Programs: None
Installed Libraries: None
Installed Directories: /usr/lib/python3.14/site-packages/setuptools_rust and /usr/lib/python3.14/site-packages/setuptools_rust-1.12.0.dist-info

## Setuptools_scm-9.2.2

### Introduction to Setuptools_scm Module

The Setuptools_scm package is used to extract Python package versions from git or hg metadata instead of declaring them.

### Note

Development versions of BLFS may not build or run some packages properly if LFS or dependencies have been updated since the most recent stable versions of the books.

#### Package Information

- Download (HTTP): https://files.pythonhosted.org/packages/source/s/setuptools_scm/setuptools_scm-9.2.2.tar.gz

- Download MD5 sum: 72975fc3ec40a1ae06bb2d86ca8ac48d

- Download size: 200 KB

- Estimated disk space required: 1.6 MB (add 75 MB for tests)

- Estimated build time: less than 0.1 SBU (add 0.4 SBU for tests)

#### Setuptools_scm Dependencies

##### Optional (for testing)

build-1.5.0, git-2.53.0, mercurial-7.2.1, pytest-9.0.3, Sudo-1.9.17p2, pytest-timeout, rich, ruff, mypy, griffe, and flake8

### Installation of Setuptools_scm

Build the module:

    pip3 wheel -w dist --no-build-isolation --no-deps --no-cache-dir $PWD

Now, as the `root` user:

    pip3 install --no-index --find-links dist --no-user setuptools_scm

To test the installation, make sure pytest-9.0.3 and the other optional dependencies are installed and run (`HOME=` prevents the `.gitconfig` file in the home directory from interfering the tests):

    python3 -m venv --system-site-packages testenv &&
    testenv/bin/pip3 install --group test          &&
    TZ=UTC HOME= testenv/bin/python3 -m pytest

If git-2.53.0 and/or mercurial-7.2.1 are not installed, the tests depending on the missing one(s) will be skipped. Some tests may invoke Sudo-1.9.17p2 and request a password.

### Command Explanations

`-w dist`: builds the appropriate "wheel" for this module in the directory `dist`.

`--no-build-isolation`: tells pip3 to run the build in the system environment instead of creating a temporary build environment.

`--no-deps`: prevents pip3 from building wheels for the project's dependencies.

`--no-index`: ignores the package index (only looking at --find-links URLs instead).

`--find-links dist`: looks for links to archives such as wheel (.whl) files in the directory `dist`.

`--no-cache-dir`: Disables the cache to prevent a warning when installing as the `root` user.

`--no-user`: Prevent mistakenly running the install command as a non-root user.

`--upgrade`: Upgrade the package to the newest available version. This option is used with the install command if a version of the package is already installed.

`--force-reinstall`: Reinstall the package even if it is up-to-date. This option is used with the install command if reinstalling the package or reverting to an earlier version of the package.

`--no-deps`: Do not install package dependencies. This option may be needed with the --upgrade or --force-reinstall options.

### Contents

Installed Programs: None
Installed Libraries: None
Installed Directories: /usr/lib/python3.14/site-packages/setuptools_scm and /usr/lib/python3.14/site-packages/setuptools_scm-9.2.2.dist-info

## Smartypants-2.0.2

### Introduction to Smartypants Module

Smartypants translates plain ASCII punctuation characters into “smart” typographic punctuation HTML entities.

### Note

Development versions of BLFS may not build or run some packages properly if LFS or dependencies have been updated since the most recent stable versions of the books.

#### Package Information

- Download (HTTP): https://files.pythonhosted.org/packages/source/s/smartypants/smartypants-2.0.2.tar.gz

- Download MD5 sum: 3149badecd0771c80ee9db4d09695edd

- Download size: 17 KB

- Estimated disk space required: 344 KB

- Estimated build time: less than 0.1 SBU

#### Smartypants Dependencies

##### Optional (for testing)

docutils-0.22.4, Pygments-2.20.0, and pytest-9.0.3

### Installation of Smartypants

Build the module:

    pip3 wheel -w dist --no-build-isolation --no-deps --no-cache-dir $PWD

This package does not come with a working test suite.

Now, as the `root` user:

    pip3 install --no-index --find-links dist --no-user smartypants

To test the results, issue:

    cp /usr/bin/smartypants . &&
    pytest

One test, `SetupTestCase::test_long_description`, is known to print a warning about upcoming changes in docutils.

### Command Explanations

`-w dist`: builds the appropriate "wheel" for this module in the directory `dist`.

`--no-build-isolation`: tells pip3 to run the build in the system environment instead of creating a temporary build environment.

`--no-deps`: prevents pip3 from building wheels for the project's dependencies.

`--no-index`: ignores the package index (only looking at --find-links URLs instead).

`--find-links dist`: looks for links to archives such as wheel (.whl) files in the directory `dist`.

`--no-cache-dir`: Disables the cache to prevent a warning when installing as the `root` user.

`--no-user`: Prevent mistakenly running the install command as a non-root user.

`--upgrade`: Upgrade the package to the newest available version. This option is used with the install command if a version of the package is already installed.

`--force-reinstall`: Reinstall the package even if it is up-to-date. This option is used with the install command if reinstalling the package or reverting to an earlier version of the package.

`--no-deps`: Do not install package dependencies. This option may be needed with the --upgrade or --force-reinstall options.

### Contents

Installed Programs: smartypants
Installed Libraries: None
Installed Directories: /usr/lib/python3.14/site-packages/smartypants-2.0.2.dist-info

### Short Descriptions

smartypants | translates ASCII punctuation to HTML punctuation.

## Snowballstemmer-3.0.1

### Introduction to Snowballstemmer Module

The Snowballstemmer package is a small string processing language for creating stemming algorithms for use in Information Retrieval, plus a collection of stemming algorithms implemented using it. Stemming maps different forms of the same word to a common “stem” — for example, the English stemmer maps connection, connections, connective, connected, and connecting to connect. Running a search for connected would also find documents which only have the other forms.

### Note

Development versions of BLFS may not build or run some packages properly if LFS or dependencies have been updated since the most recent stable versions of the books.

#### Package Information

- Download (HTTP): https://files.pythonhosted.org/packages/source/s/snowballstemmer/snowballstemmer-3.0.1.tar.gz

- Download MD5 sum: 25a584cc4898a0833f9b4c059685672c

- Download size: 104 KB

- Estimated disk space required: 2.0 MB

- Estimated build time: less than 0.1 SBU

### Installation of Snowballstemmer

Build the module:

    pip3 wheel -w dist --no-build-isolation --no-deps --no-cache-dir $PWD

This package does not come with a test suite.

Now, as the `root` user:

    pip3 install --no-index --find-links dist --no-user snowballstemmer

### Command Explanations

`-w dist`: builds the appropriate "wheel" for this module in the directory `dist`.

`--no-build-isolation`: tells pip3 to run the build in the system environment instead of creating a temporary build environment.

`--no-deps`: prevents pip3 from building wheels for the project's dependencies.

`--no-index`: ignores the package index (only looking at --find-links URLs instead).

`--find-links dist`: looks for links to archives such as wheel (.whl) files in the directory `dist`.

`--no-cache-dir`: Disables the cache to prevent a warning when installing as the `root` user.

`--no-user`: Prevent mistakenly running the install command as a non-root user.

`--upgrade`: Upgrade the package to the newest available version. This option is used with the install command if a version of the package is already installed.

`--force-reinstall`: Reinstall the package even if it is up-to-date. This option is used with the install command if reinstalling the package or reverting to an earlier version of the package.

`--no-deps`: Do not install package dependencies. This option may be needed with the --upgrade or --force-reinstall options.

### Contents

Installed Programs: None
Installed Libraries: None
Installed Directories: /usr/lib/python3.14/site-packages/snowballstemmer and /usr/lib/python3.14/site-packages/snowballstemmer-3.0.1.dist-info

## Sphinxcontrib-applehelp-2.0.0

### Introduction to Sphinxcontrib-applehelp Module

The Sphinxcontrib-applehelp package is a Sphinx extension which outputs Apple help books.

### Note

Development versions of BLFS may not build or run some packages properly if LFS or dependencies have been updated since the most recent stable versions of the books.

#### Package Information

- Download (HTTP): https://files.pythonhosted.org/packages/source/s/sphinxcontrib-applehelp/sphinxcontrib_applehelp-2.0.0.tar.gz

- Download MD5 sum: e16bb1d6199f686d411c180e64a8e831

- Download size: 20 KB

- Estimated disk space required: 1.0 MB (with tests)

- Estimated build time: less than 0.1 SBU

#### Sphinxcontrib-applehelp Dependencies

##### Optional (for testing)

pytest-9.0.3 and sphinx-9.1.0 (circular dependency)

### Installation of Sphinxcontrib-applehelp

Build the module:

    pip3 wheel -w dist --no-build-isolation --no-deps --no-cache-dir $PWD

Now, as the `root` user:

    pip3 install --no-index --find-links dist --no-user sphinxcontrib-applehelp

To test the installation, run pytest.

### Command Explanations

`-w dist`: builds the appropriate "wheel" for this module in the directory `dist`.

`--no-build-isolation`: tells pip3 to run the build in the system environment instead of creating a temporary build environment.

`--no-deps`: prevents pip3 from building wheels for the project's dependencies.

`--no-index`: ignores the package index (only looking at --find-links URLs instead).

`--find-links dist`: looks for links to archives such as wheel (.whl) files in the directory `dist`.

`--no-cache-dir`: Disables the cache to prevent a warning when installing as the `root` user.

`--no-user`: Prevent mistakenly running the install command as a non-root user.

`--upgrade`: Upgrade the package to the newest available version. This option is used with the install command if a version of the package is already installed.

`--force-reinstall`: Reinstall the package even if it is up-to-date. This option is used with the install command if reinstalling the package or reverting to an earlier version of the package.

`--no-deps`: Do not install package dependencies. This option may be needed with the --upgrade or --force-reinstall options.

### Contents

Installed Programs: None
Installed Libraries: None
Installed Directories: /usr/lib/python3.14/site-packages/sphinxcontrib and /usr/lib/python3.14/site-packages/sphinxcontrib_applehelp-2.0.0.dist-info

## Sphinxcontrib-devhelp-2.0.0

### Introduction to Sphinxcontrib-devhelp Module

The Sphinxcontrib-devhelp package is a Sphinx extension which outputs Devhelp documents.

### Note

Development versions of BLFS may not build or run some packages properly if LFS or dependencies have been updated since the most recent stable versions of the books.

#### Package Information

- Download (HTTP): https://files.pythonhosted.org/packages/source/s/sphinxcontrib-devhelp/sphinxcontrib_devhelp-2.0.0.tar.gz

- Download MD5 sum: 79ef5937b8397f724f4fb065073cd24c

- Download size: 16 KB

- Estimated disk space required: 984 MB (with tests)

- Estimated build time: less than 0.1 SBU (with tests)

#### Sphinxcontrib-devhelp Dependencies

##### Optional (for testing)

pytest-9.0.3 and sphinx-9.1.0 (circular dependency)

### Installation of Sphinxcontrib-devhelp

Build the module:

    pip3 wheel -w dist --no-build-isolation --no-deps --no-cache-dir $PWD

Now, as the `root` user:

    pip3 install --no-index --find-links dist --no-user sphinxcontrib-devhelp

To test the installation, run pytest.

The test suite will print a warning about upcoming changes in sphinx-11.

### Command Explanations

`-w dist`: builds the appropriate "wheel" for this module in the directory `dist`.

`--no-build-isolation`: tells pip3 to run the build in the system environment instead of creating a temporary build environment.

`--no-deps`: prevents pip3 from building wheels for the project's dependencies.

`--no-index`: ignores the package index (only looking at --find-links URLs instead).

`--find-links dist`: looks for links to archives such as wheel (.whl) files in the directory `dist`.

`--no-cache-dir`: Disables the cache to prevent a warning when installing as the `root` user.

`--no-user`: Prevent mistakenly running the install command as a non-root user.

`--upgrade`: Upgrade the package to the newest available version. This option is used with the install command if a version of the package is already installed.

`--force-reinstall`: Reinstall the package even if it is up-to-date. This option is used with the install command if reinstalling the package or reverting to an earlier version of the package.

`--no-deps`: Do not install package dependencies. This option may be needed with the --upgrade or --force-reinstall options.

### Contents

Installed Programs: None
Installed Libraries: None
Installed Directories: /usr/lib/python3.14/site-packages/sphinxcontrib and /usr/lib/python3.14/site-packages/sphinxcontrib_devhelp-2.0.0.dist-info

## Sphinxcontrib-htmlhelp-2.1.0

### Introduction to Sphinxcontrib-htmlhelp Module

The Sphinxcontrib-htmlhelp package is a Sphinx extension which renders HTML help files.

### Note

Development versions of BLFS may not build or run some packages properly if LFS or dependencies have been updated since the most recent stable versions of the books.

#### Package Information

- Download (HTTP): https://files.pythonhosted.org/packages/source/s/sphinxcontrib-htmlhelp/sphinxcontrib_htmlhelp-2.1.0.tar.gz

- Download MD5 sum: 1326f55f6bea49ab6a846c0088bc369e

- Download size: 24 KB

- Estimated disk space required: 1.2 MB (with tests)

- Estimated build time: less than 0.1 SBU (with tests)

#### Sphinxcontrib-htmlhelp Dependencies

##### Optional (for testing)

pytest-9.0.3, sphinx-9.1.0 (circular dependency), and html5lib-1.1

### Installation of Sphinxcontrib-htmlhelp

Build the module:

    pip3 wheel -w dist --no-build-isolation --no-deps --no-cache-dir $PWD

Now, as the `root` user:

    pip3 install --no-index --find-links dist --no-user sphinxcontrib-htmlhelp

If the optional dependencies are installed, the package can be tested with the following commands. The first command fixes a problem with removed API in Sphinx.

    sed -i 's/keyword/pair: keyword;/' tests/roots/test-chm/index.rst &&
    pytest

The tests will output a deprecation notice about upcoming changes in sphinx-11.x.

### Command Explanations

`-w dist`: builds the appropriate "wheel" for this module in the directory `dist`.

`--no-build-isolation`: tells pip3 to run the build in the system environment instead of creating a temporary build environment.

`--no-deps`: prevents pip3 from building wheels for the project's dependencies.

`--no-index`: ignores the package index (only looking at --find-links URLs instead).

`--find-links dist`: looks for links to archives such as wheel (.whl) files in the directory `dist`.

`--no-cache-dir`: Disables the cache to prevent a warning when installing as the `root` user.

`--no-user`: Prevent mistakenly running the install command as a non-root user.

`--upgrade`: Upgrade the package to the newest available version. This option is used with the install command if a version of the package is already installed.

`--force-reinstall`: Reinstall the package even if it is up-to-date. This option is used with the install command if reinstalling the package or reverting to an earlier version of the package.

`--no-deps`: Do not install package dependencies. This option may be needed with the --upgrade or --force-reinstall options.

### Contents

Installed Programs: None
Installed Libraries: None
Installed Directories: /usr/lib/python3.14/site-packages/sphinxcontrib and /usr/lib/python3.14/site-packages/sphinxcontrib_htmlhelp-2.1.0.dist-info

## Sphinxcontrib-jquery-4.1

### Introduction to Sphinxcontrib-jquery Module

The Sphinxcontrib-jquery package is a Sphinx extension which includes jQuery on newer Sphinx releases.

### Note

Development versions of BLFS may not build or run some packages properly if LFS or dependencies have been updated since the most recent stable versions of the books.

#### Package Information

- Download (HTTP): https://files.pythonhosted.org/packages/source/s/sphinxcontrib-jquery/sphinxcontrib-jquery-4.1.tar.gz

- Download MD5 sum: 46ea52845b17343ed6c61e6963fb265d

- Download size: 120 KB

- Estimated disk space required: 552 KB

- Estimated build time: less than 0.1 SBU

#### Sphinxcontrib-jquery Dependencies

##### Required

sphinx-9.1.0

##### Optional (for testing)

pytest-9.0.3

### Installation of Sphinxcontrib-jquery

Build the module:

    pip3 wheel -w dist --no-build-isolation --no-deps --no-cache-dir $PWD

This package does not come with a working test suite.

Now, as the `root` user:

    pip3 install --no-index --find-links dist --no-user sphinxcontrib-jquery

### Command Explanations

`-w dist`: builds the appropriate "wheel" for this module in the directory `dist`.

`--no-build-isolation`: tells pip3 to run the build in the system environment instead of creating a temporary build environment.

`--no-deps`: prevents pip3 from building wheels for the project's dependencies.

`--no-index`: ignores the package index (only looking at --find-links URLs instead).

`--find-links dist`: looks for links to archives such as wheel (.whl) files in the directory `dist`.

`--no-cache-dir`: Disables the cache to prevent a warning when installing as the `root` user.

`--no-user`: Prevent mistakenly running the install command as a non-root user.

`--upgrade`: Upgrade the package to the newest available version. This option is used with the install command if a version of the package is already installed.

`--force-reinstall`: Reinstall the package even if it is up-to-date. This option is used with the install command if reinstalling the package or reverting to an earlier version of the package.

`--no-deps`: Do not install package dependencies. This option may be needed with the --upgrade or --force-reinstall options.

### Contents

Installed Programs: None
Installed Libraries: None
Installed Directories: /usr/lib/python3.14/site-packages/sphinxcontrib and /usr/lib/python3.14/site-packages/sphinxcontrib_jquery-4.1.dist-info

## Sphinxcontrib-jsmath-1.0.1

### Introduction to Sphinxcontrib-jsmath Module

The Sphinxcontrib-jsmath package is a Sphinx extension which renders display math in HTML via JavaScript.

### Note

Development versions of BLFS may not build or run some packages properly if LFS or dependencies have been updated since the most recent stable versions of the books.

#### Package Information

- Download (HTTP): https://files.pythonhosted.org/packages/source/s/sphinxcontrib-jsmath/sphinxcontrib-jsmath-1.0.1.tar.gz

- Download MD5 sum: e45179f0a3608b6766862e0f34c23b62

- Download size: 5.7 KB

- Estimated disk space required: 324 KB (with tests)

- Estimated build time: less than 0.1 SBU (with tests)

#### Additional Downloads

- Required patch: https://www.linuxfromscratch.org/patches/blfs/svn/sphinxcontrib-jsmath-1.0.1-sphinx9_fixes-1.patch

#### Sphinxcontrib-jsmath Dependencies

##### Optional (for testing)

pytest-9.0.3 and sphinx-9.1.0 (circular dependency)

### Installation of Sphinxcontrib-jsmath

First, fix several incompatibilities with Sphinx-9.1 and pytest-9.0.2:

    patch -Np1 -i ../sphinxcontrib-jsmath-1.0.1-sphinx9_fixes-1.patch

Build the module:

    pip3 wheel -w dist --no-build-isolation --no-deps --no-cache-dir $PWD

Now, as the `root` user:

    pip3 install --no-index --find-links dist --no-user sphinxcontrib-jsmath

The installation can be tested with the following command:

    pytest

### Command Explanations

`-w dist`: builds the appropriate "wheel" for this module in the directory `dist`.

`--no-build-isolation`: tells pip3 to run the build in the system environment instead of creating a temporary build environment.

`--no-deps`: prevents pip3 from building wheels for the project's dependencies.

`--no-index`: ignores the package index (only looking at --find-links URLs instead).

`--find-links dist`: looks for links to archives such as wheel (.whl) files in the directory `dist`.

`--no-cache-dir`: Disables the cache to prevent a warning when installing as the `root` user.

`--no-user`: Prevent mistakenly running the install command as a non-root user.

`--upgrade`: Upgrade the package to the newest available version. This option is used with the install command if a version of the package is already installed.

`--force-reinstall`: Reinstall the package even if it is up-to-date. This option is used with the install command if reinstalling the package or reverting to an earlier version of the package.

`--no-deps`: Do not install package dependencies. This option may be needed with the --upgrade or --force-reinstall options.

### Contents

Installed Programs: None
Installed Libraries: None
Installed Directories: /usr/lib/python3.14/site-packages/sphinxcontrib and /usr/lib/python3.14/site-packages/sphinxcontrib_jsmath-1.0.1.dist-info

## Sphinxcontrib-qthelp-2.0.0

### Introduction to Sphinxcontrib-qthelp Module

The Sphinxcontrib-qthelp package is a Sphinx extension which outputs QtHelp documents.

### Note

Development versions of BLFS may not build or run some packages properly if LFS or dependencies have been updated since the most recent stable versions of the books.

#### Package Information

- Download (HTTP): https://files.pythonhosted.org/packages/source/s/sphinxcontrib-qthelp/sphinxcontrib_qthelp-2.0.0.tar.gz

- Download MD5 sum: ed4f32003b71a54ac3d68aa651cb6573

- Download size: 20 KB

- Estimated disk space required: 18 MB (with tests)

- Estimated build time: less than 0.1 SBU (with tests)

#### Sphinxcontrib-qthelp Dependencies

##### Optional (for testing)

pytest-9.0.3, sphinx-9.1.0 (circular dependency), and defusedxml

### Installation of Sphinxcontrib-qthelp

Build the module:

    pip3 wheel -w dist --no-build-isolation --no-deps --no-cache-dir $PWD

Now, as the `root` user:

    pip3 install --no-index --find-links dist --no-user sphinxcontrib-qthelp

The installation can be tested with the following commands:

    python3 -m venv --system-site-packages testenv &&
    testenv/bin/pip3 install defusedxml            &&
    testenv/bin/python -m pytest

The test suite will print warnings about upcoming changes in Sphinx.

### Command Explanations

`-w dist`: builds the appropriate "wheel" for this module in the directory `dist`.

`--no-build-isolation`: tells pip3 to run the build in the system environment instead of creating a temporary build environment.

`--no-deps`: prevents pip3 from building wheels for the project's dependencies.

`--no-index`: ignores the package index (only looking at --find-links URLs instead).

`--find-links dist`: looks for links to archives such as wheel (.whl) files in the directory `dist`.

`--no-cache-dir`: Disables the cache to prevent a warning when installing as the `root` user.

`--no-user`: Prevent mistakenly running the install command as a non-root user.

`--system-site-packages`: Allow the Python3 venv module to access the system-installed `/usr/lib/python3.14/site-packages` directory.

`--upgrade`: Upgrade the package to the newest available version. This option is used with the install command if a version of the package is already installed.

`--force-reinstall`: Reinstall the package even if it is up-to-date. This option is used with the install command if reinstalling the package or reverting to an earlier version of the package.

`--no-deps`: Do not install package dependencies. This option may be needed with the --upgrade or --force-reinstall options.

### Contents

Installed Programs: None
Installed Libraries: None
Installed Directories: /usr/lib/python3.14/site-packages/sphinxcontrib and /usr/lib/python3.14/site-packages/sphinxcontrib_qthelp-2.0.0.dist-info

## Sphinxcontrib-serializinghtml-2.0.0

### Introduction to Sphinxcontrib-serializinghtml Module

The Sphinxcontrib-serializinghtml package is a Sphinx extension which outputs “serialized” HTML files (json and pickle).

### Note

Development versions of BLFS may not build or run some packages properly if LFS or dependencies have been updated since the most recent stable versions of the books.

#### Package Information

- Download (HTTP): https://files.pythonhosted.org/packages/source/s/sphinxcontrib_serializinghtml/sphinxcontrib_serializinghtml-2.0.0.tar.gz

- Download MD5 sum: b536ce248d5ca134a30018692a17c6ca

- Download size: 16 KB

- Estimated disk space required: 1.1 MB (with tests)

- Estimated build time: less than 0.1 SBU (with tests)

#### Sphinxcontrib-serializinghtml Dependencies

##### Optional (for testing)

pytest-9.0.3 and sphinx-9.1.0 (circular dependency)

### Installation of Sphinxcontrib-serializinghtml

Build the module:

    pip3 wheel -w dist --no-build-isolation --no-deps --no-cache-dir $PWD

Now, as the `root` user:

    pip3 install --no-index --find-links dist --no-user sphinxcontrib-serializinghtml

To test the installation, first install sphinx-9.1.0, then run pytest. The test suite will print two warnings about upcoming changes in Sphinx.

### Command Explanations

`-w dist`: builds the appropriate "wheel" for this module in the directory `dist`.

`--no-build-isolation`: tells pip3 to run the build in the system environment instead of creating a temporary build environment.

`--no-deps`: prevents pip3 from building wheels for the project's dependencies.

`--no-index`: ignores the package index (only looking at --find-links URLs instead).

`--find-links dist`: looks for links to archives such as wheel (.whl) files in the directory `dist`.

`--no-cache-dir`: Disables the cache to prevent a warning when installing as the `root` user.

`--no-user`: Prevent mistakenly running the install command as a non-root user.

`--upgrade`: Upgrade the package to the newest available version. This option is used with the install command if a version of the package is already installed.

`--force-reinstall`: Reinstall the package even if it is up-to-date. This option is used with the install command if reinstalling the package or reverting to an earlier version of the package.

`--no-deps`: Do not install package dependencies. This option may be needed with the --upgrade or --force-reinstall options.

### Contents

Installed Programs: None
Installed Libraries: None
Installed Directories: /usr/lib/python3.14/site-packages/sphinxcontrib and /usr/lib/python3.14/site-packages/sphinxcontrib_serializinghtml-2.0.0.dist-info

## Trove-Classifiers-2026.1.14.14

### Introduction to Trove-Classifiers Module

Trove-Classifiers is a Python library to encompass all valid PyPI classifiers used to categorize projects and releases per PEP 301, for example `Topic :: System :: Filesystems` and `Development Status :: 6 - Mature`.

### Note

Development versions of BLFS may not build or run some packages properly if LFS or dependencies have been updated since the most recent stable versions of the books.

#### Package Information

- Download (HTTP): https://files.pythonhosted.org/packages/source/t/trove_classifiers/trove_classifiers-2026.1.14.14.tar.gz

- Download MD5 sum: ded610aa62cf3dc78360e96802ca72e8

- Download size: 20 KB

- Estimated disk space required: 540 KB

- Estimated build time: less than 0.1 SBU

#### Trove-Classifiers Dependencies

##### Optional (for testing)

pytest-9.0.3

### Installation of Trove-Classifiers

First, hard code the package version into `setup.py` to work around an issue causing the generated wheel to contain an incorrect version string when the calver module is not installed:

    sed -i '/calver/s/^/#/;$iversion="2026.1.14.14"' setup.py

Build the module:

    pip3 wheel -w dist --no-build-isolation --no-deps --no-cache-dir $PWD

Now, as the `root` user:

    pip3 install --no-index --find-links dist --no-user trove-classifiers

To test the installation, issue: pytest.

### Command Explanations

`-w dist`: builds the appropriate "wheel" for this module in the directory `dist`.

`--no-build-isolation`: tells pip3 to run the build in the system environment instead of creating a temporary build environment.

`--no-deps`: prevents pip3 from building wheels for the project's dependencies.

`--no-index`: ignores the package index (only looking at --find-links URLs instead).

`--find-links dist`: looks for links to archives such as wheel (.whl) files in the directory `dist`.

`--no-cache-dir`: Disables the cache to prevent a warning when installing as the `root` user.

`--no-user`: Prevent mistakenly running the install command as a non-root user.

`--upgrade`: Upgrade the package to the newest available version. This option is used with the install command if a version of the package is already installed.

`--force-reinstall`: Reinstall the package even if it is up-to-date. This option is used with the install command if reinstalling the package or reverting to an earlier version of the package.

`--no-deps`: Do not install package dependencies. This option may be needed with the --upgrade or --force-reinstall options.

### Contents

Installed Programs: None
Installed Libraries: None
Installed Directories: /usr/lib/python3.14/site-packages/trove_classifiers and /usr/lib/python3.14/site-packages/trove_classifiers-2026.1.14.14.dist-info

## Typogrify-2.1.0

### Introduction to Typogrify Module

Typogrify provides filters to enhance web typography, including support for Django and Jinja templates.

### Note

Development versions of BLFS may not build or run some packages properly if LFS or dependencies have been updated since the most recent stable versions of the books.

#### Package Information

- Download (HTTP): https://files.pythonhosted.org/packages/source/t/typogrify/typogrify-2.1.0.tar.gz

- Download MD5 sum: 7cc9a0a1de988329add3982519dc7971

- Download size: 13 KB

- Estimated disk space required: 404 KB

- Estimated build time: less than 0.1 SBU

#### Typogrify Dependencies

##### Required

hatchling-1.28.0 and smartypants-2.0.2

### Installation of Typogrify

Build the module:

    pip3 wheel -w dist --no-build-isolation --no-deps --no-cache-dir $PWD

This package does not come with a test suite.

Now, as the `root` user:

    pip3 install --no-index --find-links dist --no-user typogrify

### Command Explanations

`-w dist`: builds the appropriate "wheel" for this module in the directory `dist`.

`--no-build-isolation`: tells pip3 to run the build in the system environment instead of creating a temporary build environment.

`--no-deps`: prevents pip3 from building wheels for the project's dependencies.

`--no-index`: ignores the package index (only looking at --find-links URLs instead).

`--find-links dist`: looks for links to archives such as wheel (.whl) files in the directory `dist`.

`--no-cache-dir`: Disables the cache to prevent a warning when installing as the `root` user.

`--no-user`: Prevent mistakenly running the install command as a non-root user.

`--upgrade`: Upgrade the package to the newest available version. This option is used with the install command if a version of the package is already installed.

`--force-reinstall`: Reinstall the package even if it is up-to-date. This option is used with the install command if reinstalling the package or reverting to an earlier version of the package.

`--no-deps`: Do not install package dependencies. This option may be needed with the --upgrade or --force-reinstall options.

### Contents

Installed Programs: None
Installed Libraries: None
Installed Directories: /usr/lib/python3.14/site-packages/typogrify and /usr/lib/python3.14/site-packages/typogrify-2.1.0.dist-info

## Urllib3-2.6.3

### Introduction to Urllib3 Module

The Urllib3 module is a powerful, user-friendly HTTP client for Python. It brings many critical features that are missing from the Python standard libraries.

### Note

Development versions of BLFS may not build or run some packages properly if LFS or dependencies have been updated since the most recent stable versions of the books.

#### Package Information

- Download (HTTP): https://files.pythonhosted.org/packages/source/u/urllib3/urllib3-2.6.3.tar.gz

- Download MD5 sum: 2c381874816fe551f50a2551abae62b3

- Download size: 428 KB

- Estimated disk space required: 2.2 MB (add 99 MB for tests)

- Estimated build time: less than 0.1 SBU (0.6 SBU for tests)

#### Urllib3 Dependencies

##### Required

hatch_vcs-0.5.0

##### Optional (for tests)

pytest-9.0.3, httpx, hypercorn, mock, PySocks, pytest-timeout, python-dateutil, quart, quart-trio, tornado, trio, and trustme

### Installation of Urllib3

Build the module:

    pip3 wheel -w dist --no-build-isolation --no-deps --no-cache-dir $PWD

Now, as the `root` user:

    pip3 install --no-index --find-links dist --no-user urllib3

Assuming pytest-9.0.3 is installed, but the other optional dependencies are not, the installation can be tested with the following commands:

    python3 -m venv --system-site-packages testenv &&
    source testenv/bin/activate                    &&
    pip3 install --group dev                       &&
    python3 /usr/bin/pytest --timeout 10
    deactivate

At least 46 failures are expected with the instructions above. There are several reasons. First, upstream uses a patched version of the hypercorn module for their own testing, that can only be obtained through git at https://github.com/urllib3/hypercorn.git, at revision “urllib3-changes”, and should be installed first in the virtual environment. Second, it seems the test suite has not been adapted to recent versions of Python, and to recent versions of the external Python modules. In particular, some tests will hang, so pytest needs the `--timeout` switch.

### Command Explanations

`-w dist`: builds the appropriate "wheel" for this module in the directory `dist`.

`--no-build-isolation`: tells pip3 to run the build in the system environment instead of creating a temporary build environment.

`--no-deps`: prevents pip3 from building wheels for the project's dependencies.

`--no-index`: ignores the package index (only looking at --find-links URLs instead).

`--find-links dist`: looks for links to archives such as wheel (.whl) files in the directory `dist`.

`--no-cache-dir`: Disables the cache to prevent a warning when installing as the `root` user.

`--no-user`: Prevent mistakenly running the install command as a non-root user.

`--system-site-packages`: Allow the Python3 venv module to access the system-installed `/usr/lib/python3.14/site-packages` directory.

`--upgrade`: Upgrade the package to the newest available version. This option is used with the install command if a version of the package is already installed.

`--force-reinstall`: Reinstall the package even if it is up-to-date. This option is used with the install command if reinstalling the package or reverting to an earlier version of the package.

`--no-deps`: Do not install package dependencies. This option may be needed with the --upgrade or --force-reinstall options.

### Contents

Installed Programs: None
Installed Libraries: None
Installed Directories: /usr/lib/python3.14/site-packages/urllib3 and /usr/lib/python3.14/site-packages/urllib3-2.6.3.dist-info

## uv_build-0.10.2

### Introduction to the uv_build Module

The uv_build module provides the PEP 517 build backend from the 'uv' Python package management system.

### Note

Development versions of BLFS may not build or run some packages properly if LFS or dependencies have been updated since the most recent stable versions of the books.

#### Package Information

- Download (HTTP): https://files.pythonhosted.org/packages/source/u/uv_build/uv_build-0.10.2.tar.gz

- Download MD5 sum: 93b4a0baf7b84d97cb8750d742ef164a

- Download size: 328 KB

- Estimated disk space required: 356 MB

- Estimated build time: 0.9 SBU

#### uv_build Dependencies

##### Required

maturin-1.13.1

### Installation of uv_build

Build the module:

    pip3 wheel -w dist --no-build-isolation --no-deps --no-cache-dir $PWD

This package does not come with a test suite.

Now, as the `root` user:

    pip3 install --no-index --find-links dist --no-user uv_build

### Command Explanations

`-w dist`: builds the appropriate "wheel" for this module in the directory `dist`.

`--no-build-isolation`: tells pip3 to run the build in the system environment instead of creating a temporary build environment.

`--no-deps`: prevents pip3 from building wheels for the project's dependencies.

`--no-index`: ignores the package index (only looking at --find-links URLs instead).

`--find-links dist`: looks for links to archives such as wheel (.whl) files in the directory `dist`.

`--no-cache-dir`: Disables the cache to prevent a warning when installing as the `root` user.

`--no-user`: Prevent mistakenly running the install command as a non-root user.

`--upgrade`: Upgrade the package to the newest available version. This option is used with the install command if a version of the package is already installed.

`--force-reinstall`: Reinstall the package even if it is up-to-date. This option is used with the install command if reinstalling the package or reverting to an earlier version of the package.

`--no-deps`: Do not install package dependencies. This option may be needed with the --upgrade or --force-reinstall options.

### Contents

Installed Programs: uv_build
Installed Libraries: None
Installed Directories: /usr/lib/python3.14/site-packages/uv_build and /usr/lib/python3.14/site-packages/uv_build-0.10.2.dist-info

## webencodings-0.5.1

### Introduction to Webencodings Module

The webencodings module is a Python implementation of the WHATWG Encoding standard.

### Note

Development versions of BLFS may not build or run some packages properly if LFS or dependencies have been updated since the most recent stable versions of the books.

#### Package Information

- Download (HTTP): https://files.pythonhosted.org/packages/source/w/webencodings/webencodings-0.5.1.tar.gz

- Download MD5 sum: 32f6e261d52e57bf7e1c4d41546d15b8

- Download size: 12 KB

- Estimated disk space required: 164 KB

- Estimated build time: less than 0.1 SBU

### Installation of webencodings

Build the module:

    pip3 wheel -w dist --no-build-isolation --no-deps --no-cache-dir $PWD

Now, as the `root` user:

    pip3 install --no-index --find-links dist --no-user webencodings

### Command Explanations

`-w dist`: builds the appropriate "wheel" for this module in the directory `dist`.

`--no-build-isolation`: tells pip3 to run the build in the system environment instead of creating a temporary build environment.

`--no-deps`: prevents pip3 from building wheels for the project's dependencies.

`--no-index`: ignores the package index (only looking at --find-links URLs instead).

`--find-links dist`: looks for links to archives such as wheel (.whl) files in the directory `dist`.

`--no-cache-dir`: Disables the cache to prevent a warning when installing as the `root` user.

`--no-user`: Prevent mistakenly running the install command as a non-root user.

`--upgrade`: Upgrade the package to the newest available version. This option is used with the install command if a version of the package is already installed.

`--force-reinstall`: Reinstall the package even if it is up-to-date. This option is used with the install command if reinstalling the package or reverting to an earlier version of the package.

`--no-deps`: Do not install package dependencies. This option may be needed with the --upgrade or --force-reinstall options.

### Contents

Installed Programs: None
Installed Libraries: None
Installed Directories: /usr/lib/python3.14/site-packages/webencodings and /usr/lib/python3.14/site-packages/webencodings-0.5.1.dist-info

- Prev

  Python Modules

- Next

  Ruby-4.0.3

- Up
- Home